Skip to main content

Notebooks Actions

https://api.app.wnology.io/applications/APPLICATION_ID/notebooks

Below are the various requests that can be performed against the Notebooks resource, as well as the expected parameters and the potential responses.

Get​

Returns the notebooks for an application

Method And Url​

GET https://api.app.wnology.io/applications/APPLICATION_ID/notebooks

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.read, all.Organization, all.Organization.read, all.User, all.User.read, notebooks.*, or notebooks.get.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Query Parameters​

NameRequiredDescriptionDefaultExample
sortFieldNField to sort the results by. Accepted values are: name, id, creationDate, lastUpdated, lastExecutionRequestednamesortField=name
sortDirectionNDirection to sort the results by. Accepted values are: asc, descascsortDirection=asc
pageNWhich page of results to return0page=0
perPageNHow many items to return per page100perPage=10
filterFieldNField to filter the results by. Blank or not provided means no filtering. Accepted values are: namefilterField=name
filterNFilter to apply against the filtered field. Supports globbing. Blank or not provided means no filtering.filter=my*notebook

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.app.wnology.io/applications/APPLICATION_ID/notebooks

Successful Responses​

CodeTypeDescription
200NotebooksCollection of notebooks

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application was not found

Post​

Create a new notebook for an application

Method And Url​

POST https://api.app.wnology.io/applications/APPLICATION_ID/notebooks

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Organization, all.User, notebooks.*, or notebooks.post.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Notebook Post schema. For example, the following would be a valid body for this request:

{
"name": "Example Notebook"
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X POST \
-d '{"name":"Example Notebook"}' \
https://api.app.wnology.io/applications/APPLICATION_ID/notebooks

Successful Responses​

CodeTypeDescription
201NotebookSuccessfully created notebook

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application was not found

Schemas​

Error​

Schema for errors returned by the API

Error Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 2 keys
      • ▶
        {} 1 key
        • ▶
          {} 1 key

      Error Example​

      • ▶
        {} 2 keys
        • "NotFound"
        • "Application was not found"

      Notebook​

      Schema for a single Notebook

      Notebook Schema​

      • ▶
        {} 3 keys
        • "http://json-schema.org/draft-07/schema#"
        • "object"
        • ▶
          {} 13 keys
          • ▶
            {} 2 keys
            • ▶
              {} 2 keys
              • ▶
                {} 2 keys
                • ▶
                  {} 2 keys
                  • ▶
                    {} 2 keys
                    • ▶
                      {} 3 keys
                      • ▶
                        {} 2 keys
                        • ▶
                          {} 3 keys
                          • ▶
                            {} 1 key
                            • ▶
                              {} 2 keys
                              • ▶
                                {} 2 keys
                                • ▶
                                  {} 2 keys
                                  • ▶
                                    {} 3 keys

                                Notebook Example​

                                • ▶
                                  {} 11 keys
                                  • "5c782b8d4f3a8e51c1db42e4"
                                  • "5c782b8d4f3a8e51c1db42e4"
                                  • "575ec8687ae143cd83dc4a97"
                                  • "2016-06-13T04:00:00.000Z"
                                  • "2016-06-13T04:00:00.000Z"
                                  • "Example Notebook"
                                  • "myNotebook.ipynb"
                                  • "https:/storage.example.com/myNotebook.ipynb"
                                  • ▶
                                    [] 5 items
                                    • ▶
                                      [] 9 items
                                      • ▶
                                        {} 3 keys

                                      Notebook Post​

                                      Schema for the body of an Notebook creation request

                                      Notebook Post Schema​

                                      • ▶
                                        {} 5 keys
                                        • "http://json-schema.org/draft-07/schema#"
                                        • "object"
                                        • ▶
                                          {} 5 keys
                                          • ▶
                                            {} 3 keys
                                            • ▶
                                              {} 2 keys
                                              • ▶
                                                {} 2 keys
                                                • ▶
                                                  {} 2 keys
                                                  • ▶
                                                    {} 2 keys
                                                  • false
                                                  • ▶
                                                    [] 1 item

                                                  Notebook Post Example​

                                                  • ▶
                                                    {} 1 key
                                                    • "Example Notebook"

                                                  Notebooks​

                                                  Schema for a collection of Notebooks

                                                  Notebooks Schema​

                                                  • ▶
                                                    {} 3 keys
                                                    • "http://json-schema.org/draft-07/schema#"
                                                    • "object"
                                                    • ▶
                                                      {} 10 keys
                                                      • ▶
                                                        {} 2 keys
                                                        • ▶
                                                          {} 1 key
                                                          • ▶
                                                            {} 1 key
                                                            • ▶
                                                              {} 1 key
                                                              • ▶
                                                                {} 1 key
                                                                • ▶
                                                                  {} 1 key
                                                                  • ▶
                                                                    {} 1 key
                                                                    • ▶
                                                                      {} 1 key
                                                                      • ▶
                                                                        {} 2 keys
                                                                        • ▶
                                                                          {} 2 keys

                                                                      Notebooks Example​

                                                                      • ▶
                                                                        {} 8 keys
                                                                        • ▶
                                                                          [] 1 item
                                                                          • 1
                                                                          • 4
                                                                          • 1
                                                                          • 0
                                                                          • "name"
                                                                          • "asc"
                                                                          • "575ec8687ae143cd83dc4a97"

                                                                        Was this page helpful?


                                                                        Still looking for help? You can also search the WEGnology Forums or submit your question there.